Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class CRFTrainerByValueGradients.OptimizableCRF

    java.lang.Object
      cc.mallet.fst.CRFTrainerByValueGradients.OptimizableCRF

All Implemented Interfaces:
  Optimizable, Optimizable.ByGradientValue, java.io.Serializable

Enclosing class:
  CRFTrainerByValueGradients

    public class CRFTrainerByValueGradients.OptimizableCRF

extends java.lang.Object
implements Optimizable.ByGradientValue, java.io.Serializable

An optimizable CRF that contains a collection of objective functions.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface cc.mallet.optimize.Optimizable
`Optimizable.ByBatchGradient, Optimizable.ByCombiningBatchGradient, Optimizable.ByGISUpdate, Optimizable.ByGradient, Optimizable.ByGradientValue, Optimizable.ByHessian, Optimizable.ByValue, Optimizable.ByVotedPerceptron`

Constructor Summary
`protected` | `CRFTrainerByValueGradients.OptimizableCRF(CRF crf, InstanceList ilist)`

Method Summary
`int` | `getNumParameters()`
`double` | `getParameter(int index)`
`void` | `getParameters(double[] buffer)`
`double` | `getValue()` Returns the log probability of the training sequence labels and the prior over parameters.
`void` | `getValueGradient(double[] buffer)`
`void` | `setParameter(int index, double value)`
`void` | `setParameters(double[] buff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRFTrainerByValueGradients.OptimizableCRF

    protected CRFTrainerByValueGradients.OptimizableCRF(CRF crf,
                                                        InstanceList ilist)

Method Detail

### getNumParameters

    public int getNumParameters()

  Specified by:
    `getNumParameters` in interface `Optimizable`

### getParameters

    public void getParameters(double[] buffer)

  Specified by:
    `getParameters` in interface `Optimizable`

### getParameter

    public double getParameter(int index)

  Specified by:
    `getParameter` in interface `Optimizable`

### setParameters

    public void setParameters(double[] buff)

  Specified by:
    `setParameters` in interface `Optimizable`

### setParameter

    public void setParameter(int index,
                             double value)

  Specified by:
    `setParameter` in interface `Optimizable`

### getValue

    public double getValue()

  Returns the log probability of the training sequence labels and the prior over parameters.

  Specified by:
    `getValue` in interface `Optimizable.ByGradientValue`

### getValueGradient

    public void getValueGradient(double[] buffer)

  Specified by:
    `getValueGradient` in interface `Optimizable.ByGradientValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD